<?php
/**
 * Language labels for database tables/fields belonging to extension "mc_googlesitemap"
 * 
 * This file is detected by the translation tool.
 */

$LOCAL_LANG = Array (
	"default" => Array (
		"tt_content.tx_mcgooglesitemap_objective" => "Table where the contents live",	
		"tt_content.tx_mcgooglesitemap_lastmod.I.0" => "Date",	
		"tt_content.tx_mcgooglesitemap_lastmod.I.1" => "Date & Time",	
		"tt_content.tx_mcgooglesitemap_lastmod" => "Last Modification Style",	
		"tt_content.tx_mcgooglesitemap_pageuid" => "Page where we can see the contents",	
		"tt_content.tx_mcgooglesitemap_url" => "Url arguments need to reach the content. We can use tags. The tags are all the fields of table with ### at the begin and ### at the end. E.g.: my url 'http://testsite.test/index.php?id=27&mid=2054&cHash=c637cf4404', this field must be: '&mid=###uid###'.",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.0" => "Always",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.1" => "Hourly",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.2" => "Daily",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.3" => "Weekly",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.4" => "Monthly",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.5" => "Yearly",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.6" => "Never",	
		"tt_content.tx_mcgooglesitemap_changefreq" => "Change Frequency (Optional)",	
		"tt_content.tx_mcgooglesitemap_priority" => "Priority (Option)",	
		"pages.tx_mcgooglesitemap_priority" => "Priority, 0 = inherit",	
		"pages.tx_mcgooglesitemap_changefreq.I.0" => "Always",	
		"pages.tx_mcgooglesitemap_changefreq.I.1" => "Hourly",	
		"pages.tx_mcgooglesitemap_changefreq.I.2" => "Daily",	
		"pages.tx_mcgooglesitemap_changefreq.I.3" => "Weekly",	
		"pages.tx_mcgooglesitemap_changefreq.I.4" => "Monthly",	
		"pages.tx_mcgooglesitemap_changefreq.I.5" => "Yearly",	
		"pages.tx_mcgooglesitemap_changefreq.I.6" => "Never",	
		"pages.tx_mcgooglesitemap_changefreq.I.7" => "Inherited from parent page",	
		"pages.tx_mcgooglesitemap_changefreq" => "Change Frequency",	
		"tt_content.menu_type_pi1" => "Google Sitemap for Contents",	
		"tt_content.menu_type_pi2" => "Google Sitemap Index",	
		"tt_content.menu_type_pi3" => "Google Sitemap for Pages",	
	),
	"es" => Array (
		"tt_content.tx_mcgooglesitemap_objective" => "Tabla donde estan los contenidos",	
		"tt_content.tx_mcgooglesitemap_lastmod.I.0" => "Fecha",	
		"tt_content.tx_mcgooglesitemap_lastmod.I.1" => "Fecha y Hora",	
		"tt_content.tx_mcgooglesitemap_lastmod" => "Formato de \"Ultima Modifciacin\"",	
		"tt_content.tx_mcgooglesitemap_pageuid" => "Pgina donde normalmente se visualiza este contenido",	
		"tt_content.tx_mcgooglesitemap_url" => "Argumentos para la URL necesiarios para ver el contenido (solo para contenidos)",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.0" => "Constantemente",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.1" => "Cada hora",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.2" => "Diariamente",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.3" => "Semanalmente",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.4" => "Mensualmente",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.5" => "Anualmente",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.6" => "Nunca",	
		"tt_content.tx_mcgooglesitemap_changefreq" => "Frencuencia con la que se actualiza (Opcional)",	
		"tt_content.tx_mcgooglesitemap_priority" => "Prioridad (Opcional)",	
		"pages.tx_mcgooglesitemap_priority" => "Prioridad, 0 = heredar de la pgina padre",	
		"pages.tx_mcgooglesitemap_changefreq.I.0" => "Constantemente",	
		"pages.tx_mcgooglesitemap_changefreq.I.1" => "Cada hora",	
		"pages.tx_mcgooglesitemap_changefreq.I.2" => "Diariamente",	
		"pages.tx_mcgooglesitemap_changefreq.I.3" => "Semanalmente",	
		"pages.tx_mcgooglesitemap_changefreq.I.4" => "Mensualmente",	
		"pages.tx_mcgooglesitemap_changefreq.I.5" => "Anualmente",	
		"pages.tx_mcgooglesitemap_changefreq.I.6" => "Nunca",	
		"pages.tx_mcgooglesitemap_changefreq.I.7" => "Heredar de la pgina padre",	
		"pages.tx_mcgooglesitemap_changefreq" => "Precuencia con la que se actualiza esta pgina",	
		"tt_content.menu_type_pi1" => "Google Sitemap para Contenidos",	
		"tt_content.menu_type_pi2" => "Google Sitemap Index",	
		"tt_content.menu_type_pi3" => "Google Sitemap para Pginas",	
	),
	"de" => Array (
		"tt_content.tx_mcgooglesitemap_objective" => "Tabelle, in der der Inhalt liegt",	
		"tt_content.tx_mcgooglesitemap_lastmod.I.0" => "Datum",	
		"tt_content.tx_mcgooglesitemap_lastmod.I.1" => "Datum & Zeit",	
		"tt_content.tx_mcgooglesitemap_lastmod" => "Angabe der letzten nderung",	
		"tt_content.tx_mcgooglesitemap_pageuid" => "Seite, auf der der Inhalt angezeigt wird",	
		"tt_content.tx_mcgooglesitemap_url" => "URL-Parameter, um den Inhalt abzurufen. Es knnen Tags benutzt werden. Tags sind die Tabellenfelder, eingerahmt mit ###. Z.B.: Fr die URL 'http://testsite.test/index.php?id=27&mid=2054&cHash=c637cf4404' muss in diesem Feld stehen: '&mid=###uid###'.",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.0" => "immer",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.1" => "stndlich",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.2" => "tglich",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.3" => "wchentlich",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.4" => "monatlich",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.5" => "jhrlich",	
		"tt_content.tx_mcgooglesitemap_changefreq.I.6" => "nie",	
		"tt_content.tx_mcgooglesitemap_changefreq" => "nderungshufigkeit (optional)",	
		"tt_content.tx_mcgooglesitemap_priority" => "Wichtigkeit (optional)",	
		"pages.tx_mcgooglesitemap_priority" => "Wichtigkeit, 0 = vererbt von Elternseite",	
		"pages.tx_mcgooglesitemap_changefreq.I.0" => "immer",	
		"pages.tx_mcgooglesitemap_changefreq.I.1" => "stndlich",	
		"pages.tx_mcgooglesitemap_changefreq.I.2" => "tglich",	
		"pages.tx_mcgooglesitemap_changefreq.I.3" => "wchentlich",	
		"pages.tx_mcgooglesitemap_changefreq.I.4" => "monatlich",	
		"pages.tx_mcgooglesitemap_changefreq.I.5" => "jhrlich",	
		"pages.tx_mcgooglesitemap_changefreq.I.6" => "nie",	
		"pages.tx_mcgooglesitemap_changefreq.I.7" => "vererbt von Elternseite",	
		"pages.tx_mcgooglesitemap_changefreq" => "nderungshufigkeit",	
		"tt_content.menu_type_pi1" => "Google Sitemap fr Inhalt",	
		"tt_content.menu_type_pi2" => "Google Sitemap Index",	
		"tt_content.menu_type_pi3" => "Google Sitemap fr Seiten",	
	),
);
?>
