<?php
/***************************************************************
*  Copyright notice
*  
*  (c) 2004 Mximo Cuadros (mcuadros@gmail.com)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is 
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
* 
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
* 
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/** 
 * Plugin 'Google Sitemap Index' for the 'mc_googlesitemap' extension.
 *
 * @author	Mximo Cuadros <mcuadros@gmail.com>
 */


require_once(PATH_tslib."class.tslib_pibase.php");

class tx_mcgooglesitemap_pi2 extends tslib_pibase {
	var $prefixId = "tx_mcgooglesitemap_pi2";		// Same as class name
	var $scriptRelPath = "pi2/class.tx_mcgooglesitemap_pi2.php";	// Path to this script relative to the extension dir.
	var $extKey = "mc_googlesitemap";	// The extension key.
	
	/**
	 * [Put your description here]
	 */
	function main($content,$conf)	{
                $GLOBALS["TSFE"]->set_no_cache();

                header('Content-type: text/xml');
                $head[]='<?xml version="1.0" encoding="UTF-8"?>';
                $head[]='<sitemapindex xmlns="http://www.google.com/schemas/sitemap/0.84">'."\n";
                echo implode("\n",$head); unset($head);

                $this->baseUrl='http://'.$_SERVER['HTTP_HOST'].'/';
                        $this->dateFormat='Y-m-d\TH:i:s\Z';
		$res=mysql_query("SELECT tt_content.* FROM tt_content INNER JOIN pages ON pages.uid=tt_content.pid WHERE ( tt_content.menu_type='mc_googlesitemap_pi1' OR  tt_content.menu_type='mc_googlesitemap_pi3' ) " .$this->cObj->enableFields("pages")." ".$this->cObj->enableFields("tt_content"));
		while($row=mysql_fetch_array($res)) {
			$url= $this->cObj->typolink("",array("no_cache" => 0,"returnLast" => "url","parameter" => $row['pid'], "useCacheHash" => 0));
			if ( $row['menu_type']=="mc_googlesitemap_pi1" ) {
				$last=mysql_query("SELECT tstamp FROM ".$row['tx_mcgooglesitemap_objective']." WHERE pid IN (".$row['pages'].") ".$this->cObj->enableFields($row['tx_mcgooglesitemap_objective'])." ORDER BY tstamp DESC LIMIT 1");

			} else {
			$last=mysql_query("SELECT tstamp FROM pages  WHERE pid IN (".$row['pages'].") ".$this->cObj->enableFields("pages")." ORDER BY tstamp DESC LIMIT 1");

			}
			$last=mysql_fetch_array($last);

			$linea[]= "\t<sitemap>";
			$linea[]= "\t\t<loc>".$this->baseUrl.$url."</loc>";
			$linea[]= "\t\t<lastmod>".gmdate('Y-m-d\TH:i:s\Z',$last[0])."</lastmod>";
			$linea[]= "\t</sitemap>";
			echo implodE("\n",$linea); unset($linea);
		}
                echo "</sitemapindex>\n";
                exit();

	}
	
	function tellWhatToDo($str)	{
		return '<a href="#" onClick="alert(\'Open the PHP-file '.t3lib_extMgm::siteRelPath("mc_googlesitemap").'pi2/class.tx_mcgooglesitemap_pi2.php and edit the function main()\nto change how the menu is rendered! It is pure PHP coding!\')">'.$str.'</a>';
	}
}



if (defined("TYPO3_MODE") && $TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/mc_googlesitemap/pi2/class.tx_mcgooglesitemap_pi2.php"])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/mc_googlesitemap/pi2/class.tx_mcgooglesitemap_pi2.php"]);
}

?>
